summaryrefslogtreecommitdiffstats
path: root/zsh/oh-my-zsh/plugins/rustup
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-10-03 21:42:20 +0530
commitaf120ab348f2e1a5a39dec035ed9dcf84189a64e (patch)
tree2a3aadd7ce1b7b771dfe3fe7c983569726c8d7ed /zsh/oh-my-zsh/plugins/rustup
downloaddotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.gz
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.tar.bz2
dotfiles-af120ab348f2e1a5a39dec035ed9dcf84189a64e.zip
dotfiles
Diffstat (limited to 'zsh/oh-my-zsh/plugins/rustup')
-rw-r--r--zsh/oh-my-zsh/plugins/rustup/README.md3
-rw-r--r--zsh/oh-my-zsh/plugins/rustup/rustup.plugin.zsh7
2 files changed, 10 insertions, 0 deletions
diff --git a/zsh/oh-my-zsh/plugins/rustup/README.md b/zsh/oh-my-zsh/plugins/rustup/README.md
new file mode 100644
index 0000000..c620e72
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/rustup/README.md
@@ -0,0 +1,3 @@
+# rustup
+
+**Deprecated: use the [`rust`](https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/rust) plugin instead.**
diff --git a/zsh/oh-my-zsh/plugins/rustup/rustup.plugin.zsh b/zsh/oh-my-zsh/plugins/rustup/rustup.plugin.zsh
new file mode 100644
index 0000000..ef141cf
--- /dev/null
+++ b/zsh/oh-my-zsh/plugins/rustup/rustup.plugin.zsh
@@ -0,0 +1,7 @@
+print ${(%):-'%F{yellow}The `rustup` plugin is deprecated and has been moved to the `rust` plugin.'}
+print ${(%):-'Please update your .zshrc to use the `%Brust%b` plugin instead.%f'}
+
+(( ${fpath[(Ie)$ZSH/plugins/rust]} )) || {
+ fpath=("$ZSH/plugins/rust" $fpath)
+ source "$ZSH/plugins/rust/rust.plugin.zsh"
+}